# Uses of Class
com.logicaldoc.core.searchengine.SearchOptions

Packages that use SearchOptions
Package
Description
com.logicaldoc.core.automation
Automation subsystem that allows you to program your own logic inside the platform.
The automation engine can be accessed through the class `Automation`
Please note the special annotation `AutomationDictionary` that is used to automatically put in the Dictionary whatever bean you need.
com.logicaldoc.core.searchengine
The core of the search engine.
com.logicaldoc.core.searchengine.folder
com.logicaldoc.core.searchengine.saved
Classes related to saved searches

## Uses of SearchOptions in com.logicaldoc.core.automation

Methods in com.logicaldoc.core.automation with parameters of type SearchOptions
Modifier and Type
Method
Description
`Search`
SearchTool.`newSearch(SearchOptions options)`
Factory method for searches.
`List<Hit>`
SearchTool.`search(SearchOptions options)`
Instantiates a new `Search`

## Uses of SearchOptions in com.logicaldoc.core.searchengine

Subclasses of SearchOptions in com.logicaldoc.core.searchengine
Modifier and Type
Class
Description
`class`
`FulltextSearchOptions`
Search options specialization for the Full text search.
`class`
`TagSearchOptions`
Search options specialization for the Tag text search.
Methods in com.logicaldoc.core.searchengine that return SearchOptions
Modifier and Type
Method
Description
`SearchOptions`
Search.`getOptions()`
`static SearchOptions`
Search.`newOptions(int type)`
`static SearchOptions`
SearchOptions.`read(File file)`
Methods in com.logicaldoc.core.searchengine with parameters of type SearchOptions
Modifier and Type
Method
Description
`int`
SearchOptions.`compareTo(SearchOptions o)`
`static Search`
Search.`get(SearchOptions opt)`
`void`
Search.`setOptions(SearchOptions options)`

## Uses of SearchOptions in com.logicaldoc.core.searchengine.folder

Subclasses of SearchOptions in com.logicaldoc.core.searchengine.folder
Modifier and Type
Class
Description
`class`
`FolderSearchOptions`
Search options specialization for the folder search.

## Uses of SearchOptions in com.logicaldoc.core.searchengine.saved

Methods in com.logicaldoc.core.searchengine.saved that return SearchOptions
Modifier and Type
Method
Description
`SearchOptions`
SavedSearch.`readOptions()`
Methods in com.logicaldoc.core.searchengine.saved with parameters of type SearchOptions
Modifier and Type
Method
Description
`void`
SavedSearch.`saveOptions(SearchOptions opt)`